### Method

# Gio DBusMessage to_blob

since: 2.26

#### Declaration [src]

    guchar*
    g_dbus_message_to_blob (
      GDBusMessage* message,
      gsize* out_size,
      GDBusCapabilityFlags capabilities,
      GError** error
    )

#### Description [src]

Serializes `message` to a blob. The byte order returned by `g_dbus_message_get_byte_order()` will be used.

Available since: 2.26

#### Parameters

`out_size`

  Type: `gsize*`

  Return location for size of generated blob.

  The argument will be set by the function.

`capabilities`

  Type: `GDBusCapabilityFlags`

  A `GDBusCapabilityFlags` describing what protocol features are supported.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: An array of `guchar`

A pointer to a valid binary D-Bus message of `out_size` bytes generated by `message` or `NULL` if `error` is set. Free with g_free().

The length of the array is in the `out_size` argument.
The caller of the method takes ownership of the returned data, and is responsible for freeing it.